> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cxconnect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Analyze

> The analyze endpoint performs one or many analysis tasks on the input document



## OpenAPI

````yaml /specs/language-api.yaml post /language/analyze
openapi: 3.1.0
info:
  description: cxconnect.ai Omni Language API
  version: 1.0.0
  title: cxconnect.ai Omni Language API
  contact:
    email: support@cxconnect.ai
  license:
    name: cxconnect.ai EULA
    url: https://cxconnect.ai
servers:
  - url: https://test.api.cxconnect.ai
security:
  - OAuth2:
      - access
      - read
      - write
  - BearerAuth:
      - access
      - read
      - write
tags:
  - name: language
    description: cxconnect.ai Language endpoints
externalDocs:
  description: cxconnect.ai
  url: https://cxconnect.ai
paths:
  /language/analyze:
    post:
      tags:
        - language
      summary: Analyze
      description: >-
        The analyze endpoint performs one or many analysis tasks on the input
        document
      operationId: analyze
      requestBody:
        $ref: '#/components/requestBodies/AnalyzeRequest'
      responses:
        '200':
          description: Successful analyze response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnalyzeResult'
        '400':
          description: Invalid request
        '401':
          description: Unauthorized
components:
  requestBodies:
    AnalyzeRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/AnalyzeRequest'
  schemas:
    AnalyzeResult:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/AnalyzeRequest'
        entities:
          $ref: '#/components/schemas/EntityResult'
        sentiment:
          $ref: '#/components/schemas/SentimentResult'
        moderation:
          $ref: '#/components/schemas/ModerateResult'
        categories:
          $ref: '#/components/schemas/ClassifyResult'
        meta:
          type: object
          additionalProperties:
            type: string
    AnalyzeRequest:
      type: object
      properties:
        document:
          $ref: '#/components/schemas/Document'
        analyses:
          type: array
          items:
            type: string
            enum:
              - sentiment
              - entities
              - categories
              - moderation
        meta:
          type: object
          additionalProperties:
            type: string
          example:
            foo: bar
    EntityResult:
      type: object
      properties:
        entities:
          type: array
          items:
            $ref: '#/components/schemas/Entity'
        meta:
          type: object
          additionalProperties:
            type: string
    SentimentResult:
      type: object
      properties:
        sentiment:
          type: string
        magnitude:
          type: number
          format: float
        score:
          type: number
          format: float
        language:
          type: string
        meta:
          type: object
          additionalProperties:
            type: string
    ModerateResult:
      type: object
      properties:
        categories:
          type: array
          items:
            $ref: '#/components/schemas/Category'
        meta:
          type: object
          additionalProperties:
            type: string
    ClassifyResult:
      type: object
      properties:
        categories:
          type: array
          items:
            $ref: '#/components/schemas/Category'
        meta:
          type: object
          additionalProperties:
            type: string
    Document:
      type: object
      properties:
        value:
          oneOf:
            - type: string
            - type: object
        mime_type:
          type: string
        language:
          type: string
        meta:
          type: object
    Entity:
      type: object
      properties:
        name:
          type: string
        type:
          type: string
        language:
          type: string
        mentions:
          type: number
        meta:
          type: object
          additionalProperties:
            type: string
    Category:
      type: object
      properties:
        name:
          type: string
        confidence:
          type: number
          format: float
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://test.auth.cxconnect.ai
          scopes:
            access: API level access to permit operations
            read: Allow read level access to stored configs and settings
            write: Allow write level access to store configs and settings
    BearerAuth:
      type: http
      scheme: bearer

````